# defines - symbols meant for direct usage (i.e. "from dz_defs import *")

GROUP_GLOBAL = 0x7FD46CD0

# crc-24 collisions go in these lists

GROUP_FIXUP1 = [0x7F6D32BE, ]
GROUP_FIXUP2 = [[0x41A7, 0x41AC], ]
GROUP_FIXUP3 = [[0xF189F371, 0x0E966595], ]
GROUP_FIXUP4 = [["Emitter_Pet_Cars", "SnowMan_Middle"], ]
GROUP_FIXUP5 = [[0x7FF941DF, 0x7F6AB593], ]

TYPE_2ARR = 0xABCB5DA4
TYPE_2ARY = 0x6B943B43
TYPE_3ARY = 0x2A51171B
TYPE_3IDR = 0xAC506764
TYPE_AGED = 0xAC598EAC
TYPE_ANIM = 0xFB00791E
TYPE_AUDT = 0xEBFEE345
TYPE_BCON = 0x42434F4E
TYPE_BHAV = 0x42484156
TYPE_BINX = 0x0C560F39
TYPE_BMP = 0x424D505F
TYPE_BNFO = 0x104F6A6E
TYPE_CATS = 0x43415453
TYPE_CINE = 0x4D51F042
TYPE_CLST = 0xE86B1EEF
TYPE_COLL = 0x6C4F359D
TYPE_CREG = 0xCDB467B8
TYPE_CRES = 0xE519C933
TYPE_CTSS = 0x43545353
TYPE_DGRP = 0x44475250
TYPE_FACE = 0x46414345
TYPE_FAMH = 0x46414D68
TYPE_FAMI = 0x46414D49
TYPE_FAMT = 0x8C870743
TYPE_FCNS = 0x46434E53
TYPE_FPST = 0xAB4BA572
TYPE_FWAV = 0x46574156
TYPE_FX = 0xEA5118B0
TYPE_FXSD = 0x8DB5E4C2
TYPE_GLOB = 0x474C4F42
TYPE_GLUA = 0x9012468A
TYPE_GMDC = 0xAC4F8687
TYPE_GMND = 0x7BA3838C
TYPE_GROP = 0x54535053
TYPE_GZPS = 0xEBCF3E27
TYPE_HOUS = 0x484F5553
TYPE_IDNO = 0xAC8A7A2E
TYPE_IMG = 0x856DDBAC
TYPE_INIT = 0x4F6FD33D
TYPE_JPEG = 0x0C7E9A76
TYPE_JPG = 0x4D533EDD
TYPE_KEYD = 0xA2E3D533
TYPE_LGTA = 0xC9C81BA3
TYPE_LGTD = 0xC9C81B9B
TYPE_LGTP = 0xC9C81BA9
TYPE_LGTS = 0xC9C81BAD
TYPE_LIFO = 0xED534136
TYPE_LTDS = 0xAC06A676
TYPE_LTEC = 0x6A97042F
TYPE_LTLF = 0xAC06A66F
TYPE_LTTX = 0x4B58975B
TYPE_LTXT = 0x0BF999E7
TYPE_LxNR = 0xCCCEF852
TYPE_MATD = 0x49596978
TYPE_MMAT = 0x4C697E5A
TYPE_MMSH = 0xCD7FE87A
TYPE_MP3 = 0x2026960B
TYPE_NGBH = 0x4E474248
TYPE_NHTR = 0xABD0DC63
TYPE_NMAP = 0x4E6D6150
TYPE_NREF = 0x4E524546
TYPE_OBJD = 0x4F424A44
TYPE_OBJf = 0x4F424A66
TYPE_OBJM = 0x4F626A4D
TYPE_OBJT = 0x6F626A74
TYPE_OBJX = 0xFA1C39F7
TYPE_OLUA = 0x9012468B
TYPE_PALT = 0x50414C54
TYPE_POPS = 0x2C310F46
TYPE_POSI = 0x504F5349
TYPE_PTBP = 0x50544250
TYPE_RTEX = 0xACE46235
TYPE_SCEN = 0x25232B11
TYPE_SCOR = 0x3053CF74
TYPE_SDBA = 0x8CC0A14B
TYPE_SDNA = 0xEBFEE33F
TYPE_SDSC = 0xAACE2EFB
TYPE_SHPE = 0xFC6EB1F7
TYPE_SIMI = 0x53494D49
TYPE_SLOT = 0x534C4F54
TYPE_SMAP = 0xCAC4FC40
TYPE_SPR2 = 0x53505232
TYPE_SREL = 0xCC364C2A
TYPE_STR = 0x53545223
TYPE_SWAF = 0xCD95548E
TYPE_TATT = 0x54415454
TYPE_THCH = 0xCC48C51F
TYPE_THDO = 0x2C488BCA
TYPE_THFA = 0x2C30E040
TYPE_THFE = 0xCC30CDF8
TYPE_THFL = 0x8C311262
TYPE_THFN = 0x2C43CBD4
TYPE_THMS = 0xCC44B5EC
TYPE_THRF = 0xCC489E46
TYPE_THUB = 0xAC2950C1
TYPE_THWL = 0x8C31125E
TYPE_TPRP = 0x54505250
TYPE_TRCN = 0x5452434E
TYPE_TREE = 0x54524545
TYPE_TRKS = 0x0B9EB87E
TYPE_TSSG = 0xBA353CE1
TYPE_TTAB = 0x54544142
TYPE_TTAs = 0x54544173
TYPE_TTHB = 0xEC3126C4
TYPE_TXMT = 0x49596978
TYPE_TXTR = 0x1C4A276C
TYPE_UI = 0x00000000
TYPE_VERS = 0xEBFEE342
TYPE_VERT = 0xCB4387A1
TYPE_WGRA = 0x0A284D0B
TYPE_WLAY = 0x8A84D7B0
TYPE_WNTT = 0x6D814AFE
TYPE_WRLD = 0x49FF7D76
TYPE_WXML = 0xED7D7B4D
TYPE_XFCH = 0x8C93E35C
TYPE_XFLR = 0x4DCADB7E
TYPE_XFMD = 0x0C93E3DE
TYPE_XFNC = 0x2CB230B8
TYPE_XFNU = 0x6C93B566
TYPE_XFRG = 0x8C93BF6C
TYPE_XHTN = 0x8C1580B5
TYPE_XMOL = 0x0C1FE246
TYPE_XMTO = 0x584D544F
TYPE_XNGB = 0x6D619378
TYPE_XOBJ = 0x584F424A
TYPE_XOBT = 0xCCA8E925
TYPE_XROF = 0xACA8EA06
TYPE_XSTN = 0x4C158081
TYPE_XTOL = 0x2C1FD8A1

Want_None = 0
Want_Sim = 1
Want_Guid = 2
Want_Category = 3
Want_Skill = 4
Want_Career = 5
Want_Badge = 6

CRC24_INIT = 0x00B704CE
CRC24_POLY = 0x01864CFB

TYPE_NORMAL = 0
TYPE_GOTO_CODE = 1
TYPE_CODE_LINE = 2
TYPE_COMMENT = 3
TYPE_OPERAND = 5
TYPE_FUNCTION = 6
TYPE_PROPERTY = 7
TYPE_DATA = 8
TYPE_OPERATOR = 9

TYPE_ANCHOR_GROUP = 20
TYPE_LINK_GROUP = 21
TYPE_ANCHOR_FUNCTION = 22
TYPE_LINK_FUNCTION = 23
