# label with close button class

import gtk

class label(gtk.HBox):
    def __init__(self, str=None):
        gtk.HBox.__init__(self)         # init hbox

        self.ebox = gtk.EventBox()
        self.ebox.set_visible_window(False)
        self.label = gtk.Label(str)
        self.ebox.add(self.label)       # add label to the event box

        self.button = gtk.Button()      # create close button
        self.button.set_relief(gtk.RELIEF_NONE)
        self.button.set_size_request(18, 18)

        self.image = gtk.Image()
        self.image.set_from_stock(gtk.STOCK_CLOSE, gtk.ICON_SIZE_MENU)
        self.image.set_size_request(16, 16)

        self.ax = gtk.Fixed()           # a little sloppy here :P
        self.ax.put(self.button, 4, 0)
        self.ax.put(self.image, 5, 1)

        self.ttips = gtk.Tooltips()     # create a tooltips

        self.pack_start(self.ebox)      # add ebox+label
        self.pack_start(self.ax)        # add button
