# Global name lists
#
# notes:
#
# todos in Generic Sims Calls (DC), Hidden Flags (200)
# unknowns in A4, D9, DC, F0, F4, 200, 202
# tons of old Sims 1 junk that should be pruned

# from STR# 0x102 of global object (slightly truncated)

gRelLabels = [ "STR","UI/Own","LTR","Family","Sync","Child UI","Teen UI","Adult UI", \
    "Attraction" ]

# used in anim primitives (6A, 6B, 6C)

anim_list_type = { 0x80:"Global", 0x81:"Adult", 0x82:"Child", 0x83:"Social Interaction", \
        0x89:"Toddler", 0x8A:"Teen", 0x8B:"Elder", 0x8C:"Cat", 0x8D:"Dog", 0x91:"Baby", \
        0x99:"Puppy", 0x9A:"Kitten" }

# "Global" variable (from simulation)

gString81 = [ "Hour","Day of Month","Zoom Level(S/M/L)","Selected Person ID",\
    "Time Of Day","Minute","Second","Month","Year","Current Family","Current House",\
    "Unused","Last GZ Button ID","Budget Mod 10000","Budget Div 10000","Current Language",\
    "Speed","Paused","Held Sim Speed","Mode","Game Edition","Inhibit Move In","Lot Has House",\
    "Lot Size","Current SKU","Debug flags","Tutorial State","Indoor Tiles","Days Running",\
    "Maximum Day Number","Free Will","House radio station","Interrupt On","Demo Flags",\
    "Day Of Week","Parental Control (non zero =  on)","Current Interaction GUID",\
    "Utility Available Flags","Utility Bill - Energy","Utility Bill - Water",\
    "Current Neighborhood ID","Lot Zoning","Allow Aging","Last Neighborhood ID",\
    "Lot Entry Method","Cinematic Camera off/on","Lot Value Div 1000","Lot Value Mod 1000",\
    "Objects Value Div 1000","Object Value Mod 1000","Max Visitors","Object Error Flags",\
    "Camera Busy","Instant Write Once Flags",\
    "Neighborhood type" ]

# Relative locations

gString82 = [ "On top of","Anywhere near","In front of","Front and to the right of",\
    "To the right of","Behind and to the right of","Behind","Behind and to the left of",\
    "To the left of","In front and to the left of" ]

# Relative directions

gString83 = [ "Facing","Any direction","Same direction","45o right of same direction",\
    "90o right of the same direction","45o left of opposing direction","Opposing direction",\
    "45o right of opposing direction","90o right of opposing direction",\
    "45o left of same direction" ]

# Data owners (modified slightly to make more usable)

gString84 = [ "My Attribute","Stack Obj's Attribute","My Semi Attribute","My","Stack Object's",\
    "Stack Objects Semi Attribute","Global","Literal Value","Temp","Param","Stack Object",\
    "Temp","check tree ad range","stack obj's Temp","my motives","stack obj's motives",\
    "stack object's slot","stack obj's motive","my person data","stack obj's person data",\
    "my slot","stack object's definition","stack obj attr [stack param]","room [Temp 0]",\
    "neighbor in stack object","Local","Const","Unused","check tree ad personality var",\
    "check tree ad min","my person data","stack obj's person data","neighbor's person data",\
    "job data [Temp 0,1]","neighborhood data","stack object's function","my type attr",\
    "stack obj's type attr","Neighbor's Object Definition","Temporary Token",\
    "Stack Object's Temporary Token","My Object Array Iterator Index",\
    "Stack Object's Object Array Iterator Index","My Object Array Iterator Data",\
    "Stack Object's Object Array Iterator Data","My Object Array Element At Temp",\
    "Stack Object's Object Array Element At Temp","Const","My Slot","Stack Objects Slot",\
    "stack obj Semi attr [stack param]","Stack Object's Master Definition" ]

# Motives (modified for OfB, Pets)

gString86 = [ "Shopping","Scratch/Chew","Unused","Mood","Mood+Mem","Energy","Comfort","Hunger",\
    "Hygiene","Bladder","unused","Sleep state","Unused","Environment","Social","Fun" ]

# Operators (modified slightly for Pascal-style neatness)

gString88 = [ ">","<","==","+=","-=",":=","*=","/=","Flag Set?","Set Flag","Clear Flag",\
    "++ and <","mod=","and=",">=","<=","!=","-- and >","or=","xor=","abs(rhs)",\
    "Assign 32bit Value" ]

gString89 = [ "as close as possible to","above","below" ]

# Primitives (modified for Uni & NL)

gString8B = [ "Sleep","Generic Sims Call","Expression","Find Best Interaction","~(old)Grab",\
    "~(old)Drop","~(old)Change Suit","Refresh","Random Number","~(old)Burn","Tutorial",\
    "Get Distance To","Get Direction To","Push Interaction","Find Best Object for Function",\
    "Break Point","Find Location For","Idle for Input","Remove Object Instance",\
    "Make New Character","Run Functional Tree","~Show String ( UNUSED )","Turn Body Towards",\
    "Play / Stop Sound Event","~UNUSED (was old relationship)","Alter Budget","Relationship",\
    "Go To Relative Position","Run Tree by Name","Set Motive Change","Gosub Found Action",\
    "Set to Next","Test Object Type","Find 5 Worst Motives","UI Effect","Camera Control",\
    "Dialog","Test Sim Interacting With","~unused","~unused","~unused",\
    "~(old)Set Balloon/Headline","Create New Object Instance","~(old)Drop Onto",\
    "~(old)Animate Sim [old]","Go To Routing Slot","Snap","~(old)Reach","Stop ALL Sounds",\
    "Notify the Stack Object out of Idle","Add/Change the Action String","Manage Inventory",\
    "~unused (TSO)","~unused (TSO)","~unused (TSO)","~unused (TSO)","~unused (TSO)","~unused",\
    "~unused","~unused","~unused","~unused","~unused","~unused","~unused","~unused","~unused",\
    "~unused","~unused","~unused","~unused","~unused","~unused","~unused","~unused","~unused",\
    "~unused","~unused","~unused","~unused","~unused","~unused","~unused","~unused","~unused",\
    "~unused","~unused","~unused","~unused","~unused","~unused","~unused","~unused","~unused",\
    "~unused","~unused","~unused","~unused","~unused","~unused","~reserved","~unused","~unused",\
    "~unused","~unused","Animate Object","Animate Sim","Animate Overlay","Animate Stop",\
    "Change Material","Look At","Change Light","Effect Stop/Start","Snap Into",\
    "Assign Locomotion Animations","Debug","Reach/Put","Age","Array Operation","Message",\
    "RayTrace","Change Outfit","On Timer","Cinematic","Want Satisfy",\
    "Influence",\
    "Lua" ]

# (own) "object data" (modified for NL, OfB, & Pets)

gString8D = [ "graphic","direction","container id","slot number","allowed height flags",\
    "wall adjacency flags","Stop Base Interaction","Niceness Score","flags","footprint index",\
    "route penalty","object id","target id","wall placement flags","Maintain Level",\
    "Repair Level","light source","walk style","sim age","lead tile object ID",\
    "tree table entry","birth minute","Door route blocker flags","rotation notches",\
    "birth hour","lockout count","Sitting Value","weight","support strength","room",\
    "room placement","prep value","cook value","surface value","Hidden Flags","temperature",\
    "dispose value","wash dish value","eating surface value","dirty level","flag field 2",\
    "current value","placement flags","movement flags","maximum grade","birth year",\
    "birth month","birth day","age in months","Trash Units","hide interaction",\
    "lighting contribution","primitive result","portal penalty","primitive result id",\
    "Target Slot Count","disabled","Render Alpha (maximum)","object version","category",\
    "simulate on pause","serving surface value","use count","exclusive placement flags",\
    "gardening value","wash hands value","function score","slot count","Shadow Type",\
    "wall cutout flags","Vehicle Speed","Render Flags","Render Alpha","Render Red",\
    "Render Green","Render Blue","Water Utility Usage Per Hour",\
    "Energy Utility Usage  Per Hour","Look At Score","SemiAttribute Count",\
    "Object Link Forward","Object Link Backward","Placement Flags 2","DaysTillBreak",\
    "Flammibility","Hurry Speed","Crapness Score","Disable All Interactions",\
    "Portal Link 1 From Slot ID","Portal Link 1 To Slot ID","Portal Link 1 To Object ID",\
    "Portal Link 1 To Object GUID Lower Word","Portal Link 1 To Object GUID Upper Word",\
    "Portal Link 2 From Slot ID","Portal Link 2 To Slot ID","Portal Link 2 To Object ID",\
    "Portal Link 2 To Object GUID Lower Word","Portal Link 2 To Object GUID Upper Word",\
    "flags field 3","Gift From Neighbor ID","Gift To Neighbor ID","UI Icon Flags",\
    "Last Tick Rendered",\
    "Invisible wall placement flags","Interaction UI Priority","Wholesale Purchase Cost",\
    "For Sale Flags","Tree Table Override Data", \
    "Anim Offset X", "Anim Offset Y", "Anim Offset Z", "Anim Offset Z Rotation", \
    "Pet Awareness Value" ]

# Flags 1

gString8E = [ "can be stepped over","allow object intersection",\
    "allow object and person intersection","can walk","allow person intersection",\
    "in use","notified by idle for input","Do NOT Use Maya Model Footprint","chair facing",\
    "burning","hide for cutaway","unused - was fireproof","Remove Floor",\
    "Add Floor if Required","Hide Floor","Lightning Strikeable" ]

# Body flags

gString8F = [ "Fat","Pregnant - Full Show","Pregnant - Half Way","Pregnant - Not Showing",\
    "Fit","6 unused","7 unused","8 unused","9 unused","10 unused","11 unused","12 unused",\
    "13 unused","14 unused","15 unused","16 unused" ]

gString96 = [ "Step with left foot","Step with right foot","Turn Left","Turn Right",\
    "Walk","Stop","Interact" ]

# Short owner

gString99 = [ "my","stack object's","target object's" ]

gString9A = [ "Dead","Stopped","Break","Running","Stepping Over","Stepping Into",\
    "Stepping Out","Watching","Editing","Suspended","System Break (mac only)","Error" ]

gString9B = [ "Data...","Stack...","Tree Table...","Weights...","Needs...","Sounds...",\
    "Behaviors...","Relationships...","Slots...","Reset object" ]

gString9C = [ "Me","Stack Object","target - UNUSED" ]

gString9D = [ "Generic","Portal","Check","Container","Switch" ]

gString9E = [ "show","hide" ]

gString9F = [ "local","global" ]

gStringA0 = [ "me","stack object" ]

gStringA1 = [ "Food","Toilet","Wired","Shower","Lightning","Comfy Chair","TV","Snooze",\
    "Sleepy","Very Tired","Dancing","Doubly Lit Candle","Candle","House","Blah Blah",\
    "Weather","Prayer","Newspaper","Government" ]

gStringA2 = [ "Thought","Scream","Speak","None" ]

gStringA3 = [ "Forever","-","Flash 1","Flash 2" ]

# Next object (changed "sp 0" to "param 0" for clarity, modified for Uni, NL & Pets)

gStringA4 = [ "object","person","non-person","part of a multi-tile object",\
    "object of type","neighbor id","obj with category == param 0","neighbor of type",\
    "obj on same tile","obj adjacent to object in local","carreer","Lot ID",\
    "obj with category == temp 0",\
    "person closest to person in temp 0, distance returned in temp 4, relative direction in temp 5.",\
    "Job Obj Instance from Job Obj GUID in sim in stack obj",\
    "Job Obj Instance from job obj GUID from neighbor ID in stack obj",\
    "vehicle","Neighbor of Family in temp0","Object of type GUID in temp 0/1",\
    "Group member of object in temp0","Group member in revese order of object in temp0",\
    "Family member parent (of neighbor ID in temp 0)",\
    "Family member sibling (of neighbor ID in temp 0)",\
    "Family member child (of neighbor ID in temp 0)",\
    "Visible object in my view within distance in temp0",\
    "Object in Room in Temp 0","Verify Stack Object","Utility Using Object",\
    "Neighbor with non zero var3 relationship to neighbor ID in temp 0",\
    "Verify Neighbor ID in Stack Object","Verify Sim in Stack Object",\
    "Family member Spouse (of neighbor ID in temp 0)",\
    "Owner of Object (Object in Temp0, Threshold in Temp1) returns Neighbor ID",\
    "Hauntable Object","Object within one tile of object in local",\
    "NeighborID with an STR value greater than temp 0 to me.",\
    "NeighborID with rel var 1 & temp 1","Object With Wants Category equal to Temp 0",\
    "influence",\
    "unknown (0x27)","person or pet","pet","dog","large dog",\
    "small dog","cat","neighbor person or pet","neighbor pet",\
    "neighbor dog","neighbor large dog","neighbor small dog","neighbor cat" ]

# Motive type

gStringA5 = [ "Motive","Mental Motive","Physical Motive" ]

# Object place

gStringA7 = [ "in front of me","on top of me","in my hand","in front of stack object",\
    "in user defined slot of stack object","underneath me (walk-over-able objects only)",\
    "out of world (put new object id in stack object)","below object in stack param 0",\
    "below object in local","next to me in direction of local",\
    "in user defined slot of object in temp 0" ]

gStringA8 = [ "Create object normally.","Do not duplicate object.",\
    "transfer current stack object to new object and put my id in stack param 0" ]

gStringA9 = [ "get","set" ]

gStringAA = [ "me to stack object","stack object to me","stack obj to obj in stack param 0",\
    "obj in stack param 0 to stack obj"]

gStringAB = [ "Create New Relationship","Fail" ]

gStringAC = [ "do not allow","allow" ]

gStringAD = [ "Literal Value","Parameter","Local Variable","Use Original Tree Params" ]

gStringAE = [ "Reach to the stack object","Reach to a slot on the stack object",\
    "Reach to mouth" ]

gStringB0 = [ "0","1","2","3" ]

gStringB1 = [ "me","stack object" ]

# censorship flags

gStringB2 = [ "pelvis","spine if female","head","left hand","right hand","left foot",\
    "right foot","Full Body" ]

# person data (modified for Uni, NL, OfB, Pets)

gStringC8 = [ "Sitting?","Money Amount over Head","Personality Nice","Personality Active",\
    "kEP1 - Current Grade","Personality Playful","Personality Outgoing","Personality Neat",\
    "Current Outfit","Cleaning Skill","Cooking Skill","Charisma Skill","Mechanical Skill",\
    "xxxi: Exercise ( Hot Date )","xxxi: Food ( Hot Date )","Creativity Skill",\
    "xxxi: Parties  ( Hot Date )","Body Skill","Logic Skill","Group Talk State Flags",\
    "xxxi: Style ( Hot Date )","ci: Current Interaction Index","Gender Pref - Male",\
    "Gender Pref - Female","Job Data","Interaction Data Field #1",\
    "ci: Sub Queue Interaction Count","tick counter","Interaction Data Field #2",\
    "Motives Static?","Censorship Flags","neighbor id","Person Type","Priority",\
    "Greet Status","visitor schedule","autonomy level","route slot","route multi slot index",\
    "route status","route goal","Look At Object ID","Look At Slot ID","Look At State",\
    "Look At Time Remaining","cn: Next Queued Interaction Index","Aspiration",\
    "Original Neat Personality Type","Original Nice Personality",\
    "Original Active Personality","Original Outgoing Personality",\
    "Original Playful Personality","Sim UI Icon Flags",\
    "FindBestAction result Interaction Object ID","Memory Score","route start slot",\
    "School Grade","Job Promotion Level","Person Age","Social Menu Obj ID","skin color",\
    "family number","route result","job performance","Is Swimming?",\
    "Gender(0=male/1=female)","private","lingering house number",\
    "Ghost Flags (Routing Behavior)","PTO","zodiac","non-interruptible",\
    "cn: Next Queued Interaction Continuation?","footprint extension",\
    "Render Display Flags","ci: Sub Queue Master Interaction Object ID",\
    "ci: Sub Queue Master Interaction Index","cn: Next Sub Queue Interaction Index",\
    "cn: Next Sub Queue Interaction Object ID","cn: Next Queued Interaction Object ID",\
    "ci: Current Interaction Object ID","Body Flags","Fatness [0-1000]","kEP1 - Current GPA",\
    "PersonData Flags 1","xxxi:Teen Life Score(unused)","xxxi:Adult Life Score(unused)",\
    "xxxi:Elder Life Score(unused)","Voice Type","Job Object GUID1","Job Object GUID2",\
    "Age Days Left","Days in Previous Age","Decay Hunger per Day","Decay Comfort per Day",\
    "Decay Bladder per Day","Decay Energy per Day","Decay Hygiene per Day",\
    "unused( was Social Family Decay)","Decay Social per Day","Decay Shopping per Day",\
    "Decay Fun per Day","ci: Current Running Interaction Index",\
    "ci: Current Running Object ID","Motive - Power","Work Outfit Index","Decay Scratch-Chew per Day",\
    "School Object GUID 1","School Object GUID 2","ci: Current Interaction GUID",\
    "Interactions Linked Deleted","Romance Skill","LocoWeight 0","LocoWeight 1",\
    "LocoPersonalityIndex","LocoPersonalityWeight","LocoMoodIndex","LocoMoodWeight",\
    "Motives Not Included in Mood","Outfit Source GUID1","Outfit Source GUID2",\
    "Environment Score Override","Fitness Preference","Pension",\
    "i: Politics","i: Money","i: Environment","i: Crime","i: Entertainment",\
    "i: Culture","i: Food","i: Health","i: Fashion","i: Sports","i: Paranormal",\
    "i: Travel","i: Work","i: Weather","i: Animals","i: School","i: Toys","i: Sci-Fi",\
    "i: Unused","i: Unused","i: Unused","i: Unused","i: Unused","i: Unused",\
    "i: Unused","i: Unused","i: Unused","i: Unused","i: Unused","i: Unused",\
    "Unselectable Sim","NPC Type","Age Duration","ci: Sub Queue Interaction Object ID",\
    "Selection Flags","PersonData Flags 2","Aspiration Score",\
    "Aspiration Reward Points Spent (/10)","Aspiration Score Raw (/10)",\
    "Mood Booster","Current Interaction Joinable","Unlinked?",\
    "Interaction Autonomous","Retired Job GUID1","Retired Job GUID2","Retired Job Level",\
    "kEP1 - College Major GUID#1","kEP1 - College Major GUID#2",\
    "kEP1 - Time Left In Grading Period","kEP1 - Semester Info Flags",\
    "kEP1 - College Semester","kEP1 - Young Adult( 0=no, 1=yes )",\
    "kEP1 - Influence Bar Level","kEP1 - Influence Minimum","kEP1 - Influence Score",\
    "route start slot owner ID","Attraction Traits 1","Attraction Traits 2",
    "Attraction Turn Ons 1","Attraction Turn Ons 2",\
    "Attraction Turn Offs 1","Attraction Turn Offs 2",\
    "Species","Countdown Timer ID","Perfume Duration","Date Timer",\
    "Date Score","Date Unlock Count","Love Potion Duration","Aspiration Score Lock",\
    "Date Neighbor ID",\
    "Ownable Lot Job - Lot Id","Ownable Lot Job - Salary","Ownable Lot Job - Flags",\
    "Ownable Lot Job - Assignment Id",\
    "Pet Traits" ]

# Function table names

gStringC9 = [ "prepare food","cook food","flat surface","dispose","eat",\
    "pick up from slot","wash dish","eating surface","sit","stand","serving surface",\
    "clean","garden","wash hands","repair","dry clothes","wash clothes",\
    "message handler","pre route ","post route","goal check","reaction Handler",\
    "along route callback","awareness","reset","lookatTarget","Utility State Change",\
    "Global Awareness" ]

# placement flags

gStringCA = [ "on floor","on terrain","under water","on surface","on door",\
    "on window","on locked tile","extend to floor","on slope","in air","in wall",\
    "in pool","on ceiling","on fence post","on water","in roof" ]

# allowed height flags (BCON 0x101:x)

gStringAH = [ "on low table","on table","on counter","on floor","on sim",\
    "pickup","sitting","on end table","in counter","under counter","decorative" ]

# movement flags

gStringCB = [ "sims can move it","players can move it","self propelled",\
    "players can delete it","stays after evict","hand tool cannot move it",\
    "hand tool cannot delete it" ]

# object definition

gStringCC = [ "version_1 - Read Only","version_2 - Read Only","initial stack size",\
    "Default Wall Adjacent Flags","Default Placement Flags","Default Wall Placement Flags",\
    "Default Allowed Height Flags","Interaction Table ID","interaction group","type",\
    "Multi-Tile master id","Multi-Tile sub index","Use Default Placement flags",\
    "Look At Score","guid_1 - Read Only","guid_2 - Read Only","Item Is Unlockable",\
    "Catalog Use Flags","price","body strings id","slots id",\
    "diagonal selector guid 1 - Read Only","diagonal selector guid 2 - Read Only",\
    "grid-aligned selector guid 1 - Read Only","grid-aligned selector guid 2 - Read Only",\
    "Object ownership flags","Ignore GlobalSim field in CAS Lot","Cannot Move Out With",\
    "Hauntable","Proxy GUID 1","Proxy GUID 2","slot group","Aspiration Flags",\
    "Memory Nice/Bad","sale price","initial depreciation","daily depreciation",\
    "self depreciating","depreciation limit","room sort flags","function sort flags",\
    "catalog strings id","is global sim object","ToolTip Name Type - 0 default",\
    "Template Version","Niceness Multiplier","No Duplicate On Placement",\
    "Want Category","No New Name from Template","object version","Default Thumbnail ID",\
    "motive effects id","Job Object GUID 1","Job Object GUID 2","cGeneric Sims Callsatalog popup id",\
    "Ignore Current Model Index In Icons","level offset","shadow type","num attributes",\
    "number of object arrays","Unused","front direction","Unused","Multi-Tile lead object",\
    "Valid EP Flags 1","Valid EP Flags 2","chair entry flags","tile width",\
    "inhibit suit copying","build mode type","original guid 1 - Read Only",\
    "original guid 2 - Read Only","object model guid 1 - Read Only",\
    "object model guid 2 - Read Only","build Mode Subsort","Selector Category",\
    "Selector Sub-Category","footprint mask","extend footprint","Unused","Unused",\
    "Unused","ratingHunger","ratingComfort","ratingHygiene","ratingBladder","ratingEnergy",\
    "ratingFun","ratingRoom","ratingSkillFlags","num type attributes","misc flags",\
    "Unused","Unused","Function Sub-Sort","Downtown Sort","Keep Buying","Vacation Sort",\
    "Reset Lot Action","3D Object Type","Community Sort","Dream Flags","Thumbnail Flags",\
    "Unused","Unused","Unused","Unused","Unused" ]

# Room sort flags

gStringCD = [ "kitchen","bedroom","bathroom","family room","outside","dining room",\
    "miscellaneous","study" ]

# Function sort flags

gStringCE = [ "Comfort","Surfaces","Appliances","Electronics","Plumbing","Decorative",\
    "General(Misc)","Lighting","Hobbies","Aspiration Rewards","Career Rewards" ]

# Snap mode

gStringCF = [ "slot number in stack param","be contained in stack object",\
    "be in front of the stack object","slot number","global slot" ]

# Wall adj. flags

gStringD0 = [ "wall on left = 1","wall on right = 2","wall in front = 3",\
    "wall behind = 4","wall above left = 5","wall above right = 6" ]

gStringD1 = [ "Invisible","Green (zombied)" ]

gStringD2 = [ "Natural","Romantic","Dramatic","Classical","Eclectic","Trailer Park" ]

gStringD3 = [ "my","stack object's" ]

gStringD4 = [ "graphic","lighting contribution","room score contribution" ]

gStringD5 = [ "Can Break","Can Die","Can Be Repossessed","Obstructs View",\
    "Floats","Burns","Fixable","Can Be Stolen","Generates Heat","Can Be Lighted",\
    "Generates Light","Can Get Dirty","Contributes To Asthetic" ]

# flags 2

gStringD6 = [ "(unused)Can Break","(unused)Can Die","Can Be Repossessed","Obstructs View",\
    "(unused)Floats","Burns","(unused)Fixable","Cannot Be Stolen","(unused)Generates Heat",\
    "Cine Cam Visible","(unused)Generates Light","(unused)Can Get Dirty",\
    "(unused)Contributes To Asthetic","Can't be Billed",\
    "Low Small Object (sim can idle close to it)","Architectural Door" ]

gStringD7 = [ "Goto the routing slot with index specified in stack param",\
    "Goto the literal routing slot number","Goto the global slot" ]

# Turn body

gStringD8 = [ "turn body towards camera","turn body towards stack object",\
    "turn body away from stack object","turnbody  towards north",\
    "turnbody  towards north east","turnbody  towards east",\
    "turnbody  towards south east","turnbody  towards south",\
    "turnbody  towards south west","turnbody  towards west",\
    "turnbody  towards north west","turn body left 45 degrees",\
    "turn body left 90 degrees","turn body left 135 degrees",\
    "turn body right 45 degrees","turn body right 90 degrees",\
    "turn body right 135 degrees","turn body 180 degrees",\
    "turn body towards target slot","turn body towards routing slot",\
    "turn body towards containment slot","turn body away from target slot",\
    "turn body away from routing slot","turn body away from containment slot",\
    "turn body to absolute dir in temp 0","turn body to relative dir in temp 0" ]

# Dialog primitives (modified for Uni, NL, OfB, Pets)

gStringD9 = [ "message","yes-no","yes-no-cancel","text entry","tutorial",\
    "Phone Book - Services","Phone Book - Invite","Phone Book - Party",\
    "Text Notification","Stop Text Notification","Text Notification Modify",\
    "Magazine Rack","Jewelry Rack","VideoGame Rack","Food Rack",\
    "Special Phone Services","Clothing Purchase","Clothing Selection",\
    "Tutorial Tasks","List Selection","Clothing TryOn","Vanity Table",\
    "TutorialNext","Baby Name","Set Aspiration","TutorialNext Modal",\
    "Set Major","Resurrectonomitron","Fire Forget Append ",\
    "Move Grave To Lot","Visit Another Lot","Dating Services",\
    "Manage Groups","Phone Groups","Set Turn On/Off's",\
    "Customize Craftable","Hire Employees","Purchase Lot","Transfer Ownership",\
    "Choose a Lot","Set Price","Business Outfit","Buy Food",\
    "Unknown 2B","Unknown 2C","Handle Purchase? (0x2D)","Buy Clothing",\
    "Lot Information","Set Wage","Suggest Outfit","Offer Job",\
    "Select Objects","Phone Services", "Set Painting",\
    "Collar","Give Up Pet","Adopt a Pet","Game Tips",\
    "Create a Pet","Change Pet Appearance","Change Breed",\
    "Register Breed","Select a Pet" ]

# Room values

gStringDB = [ "ambient light(0..100)","outside","level","area",\
    "pool (1=is pool, 0=not)","num windows" ]

# Generic Sims Calls (modified for Uni, NL, Pets)

gStringDC = [ "Exit Lot","center view on stack object","set action icon to stack object",\
    "uncenter view","add to family","combine assets of family in temp 0",
    "remove from family",
    "depracated - make new neighbor","family tutorial complete",\
    "architecture tutorial complete",\
    "disable build and buy","enable build and buy","get distance to camera in temp 0",\
    "abort interactions","house radio station := temp 0",\
    "My routing footprint := temp 0",\
    "change normal outfit",\
    "Swap Lot","Set Simulator Speed","Swap Lot to Lot of Family in NeighborID in temp0",\
    "Swap Lot via Family in Temp 0","Add Child to Family Relationship Array",\
    "Add Spouse to Family Relationship Array","Remove From Family Relationship Array",\
    "Preload New Sim Age","Set Selected Sim","Start Lot Transition",\
    "Get Number of community lots in temp0","Perform Money Effect",\
    "Preload Visitor","Preload Clothing","Preload Object",\
    "Get Outfits Information","Update Footprint","Get Distance Between Lots",\
    "Get Zoning Type","GetIDOfFamilyInLot","LotTransitionDone","UnlinkCharacter",\
    "Force Recalc of Wants","Game State Transition Control","Facial Overlay Zits Toggle",\
    "Sim Fitness Update","Is It Ok to Idle Here","Hide / Unhide Puck","Copy Last Name",\
    "Set Sim Hair Override","Clear Sim Hair Override","Get Remapped Neighbor Id",\
    "Can Change Footprint?","Extract Money From other Lot",\
    "Show Info On Lot Loading Screen","Wall in Front?","Set Facial Overlay State",\
    "add want slot","add fear slot","add want lock","reset Uni wants",\
    "get a want/fear","plastic surgery","set skin","save special outfit",\
    "scholarship funds","Uni transition","set time",\
    "generic init","unknown 42","set attraction","unknown 44","vampire on/off",\
    "add clothes to inventory? (0x46)","set for sale (0x47)","credit (0x48)",\
    "unknown 49","owns community lot? (0x4A)","unknown 4B",\
    "work outfit (0x4C)","unknown 4D","special skin (0x4E)" ]

# neighbor data

gStringDD = [ "person instance id","belongs in house","person age",\
    "relationship raw score","relationship score","friend count","house number",\
    "has telephone","has baby","family friend count","has Computer" ]

gStringDE = [ "run in my stack","run in stack object's stack","push onto my stack" ]

# Priorities

gStringE0 = [ "inherited priority","maximum priority","autonomous priority",\
    "user driven priority" ]

gStringE1 = [ "Day","Dusk","Night","Dawn" ]

gStringE2 = [ "primitives","Global Trees","Private Trees","Semi Global Trees",\
    "Tree Tables","Semi Global Tree Tables","Private Strings","Semi Global Strings",\
    "Global Strings","Private Constants","Semi Global Constants","Global Constants" ]

gStringE3 = [ "global","person","object","object model" ]

gStringE4 = [ "add","remove" ]

# wall placement flags

gStringE5 = [ "wall required in front","wall required on right","wall required behind",\
    "wall required on left","front-right facing wall required",\
    "front-right facing wall allowed","front-left facing wall required",\
    "front-left facing wall allowed","wall not allowed in front",\
    "wall not allowed on right","wall not allowed behind","wall not allowed on left",\
    "fence required","fence arch prohibited" ]

gStringE6 = [ "Unknown","Interaction","Check Tree","Functional","Callback",\
    "Subroutine" ]

gStringE7 = [ "stack object","tile in front of stack object","floors under stack object" ]

gStringE8 = [ "None","Nice","Grouchy","Active","Lazy","Generous","Selfish",\
    "Playful","Serious","Outgoing","Shy","Neat","Sloppy","Cleaning Skill",\
    "Cooking Skill","Social Skill","Repair Skill","Gardening Skill","Music Skill",\
    "Creative Skill","Literacy Skill","Physical Skill","Logic Skill" ]

gStringE9 = [ "custom","none","low","moderate","high" ]

gStringEA = [ "none","door","window","stair","plant","fireplace",\
    "column","pool equipment" ]

gStringEB = [ "me to stack object","stack object to me",\
    "stack object to obj in local","obj in local to stack object" ]

gStringEC = [ "none","lamp" ]

gStringED = [ "engage and block sim","return and block sim",\
    "engage and continue sim","return and continue sim" ]

gStringEE = [ "begin","end" ]

# Find GLB

gStringEF = [ "normal","out of world","normal in same room",\
    "along object vector","lateral to object vector",\
    "in routing slot in stack variable","in routing slot in local variable",\
    "in literal routing slot","in global routing slot" ]

# Expenses

gStringF0 = [ "misc expense","job income","misc income","food expense",\
    "bill payment","maintenance expense","purchase","architecture",\
    "Unknown 8","business" ]

gStringF1 = [ "success","unknown","path not found","interrupted","couldn't sit down",\
    "couldnt stand up","no valid goals","destination occupied","no valid chair",\
    "wall in the way","altitudes don't match","pre-route failed",\
    "post-route failed","goal not available","blocked by person",\
    "blocked by object","interrupted by callback","" ]

gStringF2 = [ "add","subtract" ]

# Job data

gStringF3 = [ "number of levels","salary","min friend count",\
    "min cook skill","min repair skill","min social skill","min body skill",\
    "min logic skill","min creative skill","min req 7","min req 8","min req 9",\
    "start hour","end hour","hourly delta - hunger","hourly delta - comfort",\
    "hourly delta - hygiene","hourly delta - bladder","hourly delta - energy",\
    "hourly delta - fun","hourly delta - social","car id","has suit" ]

# Icon types

gStringF4 = [ "automatic","none","neighbor","indexed","named",\
    "5 (unknown)","6 (unknown)","7 (unknown)" ]

# Entry points

gStringF5 = [ "init","main","load","cleanup","queue skipped","allow intersection",\
    "wall adjacency changed","room changed","dynamic multi-tile update","placement",\
    "pickup","user placement","user pickup","level info request","serving surface",\
    "portal","gardening","wash hands","prep","cook","surface","dispose","food",\
    "pickup from slot","wash dish","eating surface","sit","stand","clean","repair",\
    "ui event","Dry Clothes","Wash Clothes","Start Live Mode","Stop Live Mode",\
    "Link Objects","Message Handler","Pre Route","Post Route","Goal Check",\
    "Reaction Handler","Along Route Callback","awareness","reset","lookatTarget",\
    "Walk Over","Utility State Change","Set Model by Type","Get Model Type","delete",\
    "user delete","Just Moved In","prevent place in slot","Global Awareness",\
    "Object Updated by Design Mode" ]

gStringF6 = [ "unknown","~unused","person","~unused","normal",\
    "architectural support","~unused","sim type","door","window","stairs",\
    "modular stairs","modular stairs portal","vehicle","outfit","Memories","Template" ]

gStringF7 = [ "flash button with image id","flash neighbor button id",\
    "flash relationship button" ]

gStringF8 = [ "Live","Build","Buy","Options","Camera" ]

# neighborhood data

gStringF9 = [ "level complete","tutorial progress","tutorial house number","hide arrow" ]

# Person outfits

gStringFA = [ "Casual 1","Naked","Swimsuit","Gym - Workout","Formal","Pajamas",\
    "Try On - For Temp Outfits","invalid - was Bones Unlit","Maternity",\
    "Casual 2","Casual 3","Underwear" ]

# exclusive placement flags

gStringFB = [ "floor","wall","no other object of same type","ceiling" ]

# Inventory Dialog (Temporary Token)

gStringFC = [ "Which Inventory(G = 0, H, F, N)","Which Inventory ID",\
    "Which Inventory Type(Singular = 0, Counted)","Token Index","Token GUID Lower Word",\
    "Token GUID Upper Word","Token Flags","Token Property Count",\
    "Token Property Index (Not Implemented)","Token Property Value (Not Implemented)" ]

# Wall cutout flags

gStringFD = [ "front","right","behind","left",\
    "diagonal facing front left","diagonal facing back right",\
    "diagonal facing back left","diagonal facing front right" ]

gStringFE = [ "success","Invalid Destination Object or Person is Blocking",\
    "Invalid Source Object or Location is out of Bounds","Location Out Of Bounds",\
    "Level out of bounds","Must be at Tile Center","Must be in corner",\
    "Cant be in corner","must be against wall","cant be through wall",\
    "Must be on upstairs floor hole","must be outside","must be inside",\
    "cant intersect other objects","must be on ground","can't find slot",\
    "cant support weight","cant support size","cant place on top","cant place on slope",\
    "cant place in air","not allowed on floor","not allowed on terrain","cant afford",\
    "must be against unused wall","must be on diagonal","height not allowed",\
    "insufficient funds","special show money error","has water","no water",\
    "cant place on water","cant place on pool","must be on first level",\
    "2nd floor needs support","must remove objects on wall",\
    "must be against 2nd floor wall","cannot delete object","counter height",\
    "cant be picked up","in use","cant be picked up out of bounds",\
    "cant effect first level from second level","cant place in air other level",\
    "not allowed on floor other level","cannot place computer on end table",\
    "cant delete pool with people in it.",\
    "must remove ladder or diving board before deleting pool",\
    "cannot wall paper fence"]

gString1F4 = [ "Old Style","Balloon","Conversation","Motive","Relationship",\
    "Headline","Debug","Algorithmic","Route failure","Progress" ]

gString1F5 = [ "Travel 1","Travel 2","Travel 3","News 1","News 2","News 3",\
    "Law 1","Law 2","Law 3","Dogma 1","Dogma 2","Dogma 3","Weather 1","Weather 2",\
    "Weather 3","Sports 1","Sports 2","Sports 3","Music 1","Music 2","Music 3",\
    "Environment 1","Environment 2","Environment 3","Kids 1","Kids 2","Kids 3",\
    "Sci-fi 1","Sci-fi 2","Sci-fi 3","Pets 1","Pets 2","Pets 3","School 1",\
    "School 2","School 3","Exercise #1","Exercise #2","Exercise #3","Food #1",\
    "Food #2","Food #3","Parties #1","Parties #2","Parties #3","Style #1",\
    "Style #2","Style #3","Health #1","Health #2","Health #3","Romance #1",\
    "Romance #2","Romance #3","Charisma #1","Charisma #2","Charisma #3",\
    "Job - Business","Job - Entertainment","Job - Law Enforcement","Job - Crime",\
    "Job - Medical","Job - Military","Job - Politics","Job - Sports","Job - Science",\
    "Job - Extreme","Job - Music","Job - Slacker","Job - Paranormal",\
    "Job - Journalism","Job - Hacker","Job - Unemployed","Bored with Social",\
    "Bad Mood","Bad Mood 2" ]

gString1F6 = [ "hunger","bladder","unused alertness","hygiene","energy",\
    "comfort","entertainment","unused sleeping","unused tired","unused really tired",\
    "social","unused stress","unused candle","environment","unused NO MONEY" ]

gString1F7 = [ "lovers","friends" ]

gString1F8 = [ "hate","stress","surprise","idea","love","drunk",\
    "hurt","smell","flies" ]

gString1F9 = [ "thought","scream","speak","not" ]

gString1FA = [ "debug","Hug","Gift","Back Rub","Cheer Up","Entertain","Tickle",\
    "Brag","Slap","Scare","Tease","Attack","No Chair","In Use","Can't Route",\
    "++","+","-","--","Pizza","moving out of way","moving off door","route waiting",\
    "asking to move","can't find room","can't sit down","can't stand up",\
    "destination occupied","chair occupied","wall in the way","Friends","Romance",\
    "Altitudes don't match","Crush" ]

gString1FB = [ "Icon of Stack Object","Icon of Neighbor","Icon of obj in local" ]

gString1FC = [ "Chair not found","Door not found","Wall in the way",\
    "Terrain not level","No pool ladder" ]

gString1FD = [ "0% Skill","10%","20%","30%","40%","50%","60%","70%","80%","90%",\
    "0% Repair","10% Repair","20% Repair","30% Repair","40% Repair","50% Repair",\
    "60% Repair","70% Repair","80% Repair","90% Repair","0% Interest",\
    "10% Interest","20% Interest","30% Interest","40% Interest","50% Interest",\
    "60% Interest","70% Interest","80% Interest","90% Interest" ]

# Gosub Found Action

gString1FE = [ "Gosub Found Action","Gosub Interrupt Action",\
    "Gosub Reaction Action","Gosub Top User Action" ]

gString1FF = [ "Anywhere","Towards Object","Away From Object","North",\
    "North East","East","South East","South","South West","West","North West" ]

# Hidden flags

gString200 = [ "Hide Model(s)","Hide Sounds","Hide Effects",\
    "Hide Attached Lights","Hide Vox",\
    "Hide Contained" ]

# Ghost flags (modified for NL)

gString201 = [ "IsGhost","CanPassThroughObjects","CanPassThroughWalls",\
    "CanPassThroughPeople","IgnoreTraversalCosts",\
    "flight","sectional" ]

# Selection flags

gString202 = [ "Selectable(Shown in Skewer)","Not Selectable",\
    "Hide Relationships","unknown 4" ]

gString203 = [ "Wants Testing", ]

# Person flags

gString204 = [ "ContinueSimulatingWhilePresent","CarryIdle_OkToMove" ]
