# type lists

from dz_defs import *

# list of known types
known_values = [TYPE_FWAV, TYPE_BCON, TYPE_BHAV, TYPE_CATS, \
    TYPE_CTSS, TYPE_GLUA, TYPE_NREF, TYPE_OBJD, TYPE_OBJf, \
    TYPE_OLUA, TYPE_TTAs, TYPE_TTAB, TYPE_GLOB, TYPE_SLOT, TYPE_STR ]

known_names = ["Audio Reference", "Behavior Const", "Behavior Trees", "Catalog String", \
    "Catalog Description", "Global Lua", "Name Reference", "Object Data", "Object Functions", \
    "Object Lua", "Pie Menu Strings", "Pie Menu Tables", "Semi-Global Name", "Slots", "Strings" ]

# unknown types
unknown_values = [TYPE_2ARR, TYPE_2ARY, TYPE_3ARY, TYPE_3IDR, TYPE_AGED, TYPE_ANIM, \
    TYPE_AUDT, TYPE_BINX, TYPE_BMP, TYPE_BNFO, TYPE_CINE, \
    TYPE_CLST, TYPE_COLL, TYPE_CREG, TYPE_CRES, \
    TYPE_DGRP, TYPE_FACE, TYPE_FAMH, TYPE_FAMI, TYPE_FAMT, TYPE_FCNS, \
    TYPE_FPST, TYPE_FX, TYPE_FXSD, \
    TYPE_GMDC, TYPE_GMND, TYPE_GROP, TYPE_GZPS, TYPE_HOUS, \
    TYPE_IDNO, TYPE_IMG, TYPE_INIT, TYPE_JPEG, TYPE_JPG, TYPE_KEYD, TYPE_LGTA, \
    TYPE_LGTD, TYPE_LGTP, TYPE_LGTS, TYPE_LIFO, TYPE_LTDS, \
    TYPE_LTEC, TYPE_LTLF, TYPE_LTTX, TYPE_LTXT, TYPE_LxNR, \
    TYPE_MATD, TYPE_MMAT, TYPE_MMSH, TYPE_MP3, TYPE_NGBH, \
    TYPE_NHTR, TYPE_NMAP, \
    TYPE_OBJM, TYPE_OBJT, TYPE_OBJX, TYPE_PALT, TYPE_POPS, TYPE_POSI, TYPE_PTBP, TYPE_RTEX, \
    TYPE_SCEN, TYPE_SCOR, TYPE_SDBA, TYPE_SDNA, TYPE_SDSC, TYPE_SHPE, TYPE_SIMI, \
    TYPE_SMAP, TYPE_SPR2, TYPE_SREL, TYPE_SWAF, TYPE_TATT, \
    TYPE_THCH, TYPE_THDO, TYPE_THFA, TYPE_THFE, TYPE_THFL, \
    TYPE_THFN, TYPE_THMS, TYPE_THRF, TYPE_THUB, TYPE_THWL, \
    TYPE_TPRP, TYPE_TRCN, TYPE_TREE, TYPE_TRKS, TYPE_TSSG, \
    TYPE_TTHB, TYPE_TXMT, TYPE_TXTR, \
    TYPE_UI, TYPE_VERS, TYPE_VERT, TYPE_WGRA, TYPE_WLAY, \
    TYPE_WNTT, TYPE_WRLD, TYPE_WXML, TYPE_XFCH, TYPE_XFLR, TYPE_XFMD, TYPE_XFNC, \
    TYPE_XFNU, TYPE_XFRG, TYPE_XHTN, TYPE_XMOL, TYPE_XMTO, \
    TYPE_XNGB, TYPE_XOBJ, TYPE_XOBT, TYPE_XROF, TYPE_XSTN, \
    TYPE_XTOL]

unknown_names = ["2D Array", "2D Array", "3D Array", "3D ID Reference", "Age Data", "Animation", \
    "Audio Test", "Binary Index", "Bitmap Image", "Business Info", "Cinematic Scene", \
    "Compressed List", "Collection", "Content Registry", "Resource Node", \
    "Layered Image", "Face Properties", "FAMH", "Family Information", "Family Ties", "Functions", \
    "Fence Post Layer", "Effects List", "Effects Sound", \
    "Geometric Data Container", "Geometric Node", "Groups Cache", "Property Set", "House Descriptor", \
    "ID Number", "Image", "Inventory Item", "JPEG Image", "JPEG Image", "Key Definitions", "Ambient Light", \
    "Directional Light", "Point Light", "Spot Light", "Large Image File", "Draw State Light", \
    "Environment Cube Light", "Linear Fog Light", "Lot Texture", "Lot Description", "Facial Structure", \
    "MATD", "Material Override", "Maxis Material Shader", "MP3 or XA File", "Neighborhood (Memory)", \
    "Neighborhood Terrain", "Name Map", \
    "OBJM", "OBJT", "OBJX", "Palette", "Popups", "Stack Script", "Package Text", "Road Texture", \
    "Scene Node", "Sim Scores", "SDBA", "Sim DNA", "Sim Description", "Shape", "Sim Information", \
    "String Map", "Sprites", "Sim Relations", "Sim Wants and Fears", "TATT", \
    "Chimney Thumbnail", "Dormer Thumbnail", "Fence Arch Thumbnail", "Fence Thumbnail", "Floor Thumbnail", \
    "Foundation Thumbnail", "Modular Stair Thumbnail", "Roof Thumbnail", "Thumbnail", "Wall Thumbnail", \
    "Tree Properties", "Tree Const Names", "Tree Flowchart", "Track Settings", "TSSG", \
    "Terrain Thumbnail", "Material Definition", "Texture Image", \
    "UI Data", "Version", "Vertex", "Wall Graph", "Wall Layer", \
    "Wants Tree Item", "World Database", "WXML", "Face Arch XML", "Floor XML", "Face Modifier XML", "Fence XML", \
    "Face Neutral XML", "Face Region XML", "Hair Tone XML", "Mesh Overlay XML", "XMTO", \
    "Neighborhood Object XML", "Object XML", "Object XML", "Roof XML", "Skin Tone XML", \
    "Texture Overlay XML"]
